Skip to content

Modify data policy

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Modify the data policy and modify the data policy information through fields such as data policy name, data policy description, and related data resources.

Method name

ManagementClient.updateDataPolicy

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
policyIdstringYes-Data policy ID60b49xxxxxxxxxxxxxxx6e68
policyNamestringNo-Data policy name, unique to the user poolSample data policy name
descriptionstringNo-Data policy descriptionSample data policy description
statementList<a DataStatementPermissionDto[]No-Data permission list, all data permissions under each policy. Array length limit: 5.

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updateDataPolicy({
    policyId: "60b49xxxxxxxxxxxxxxx6e68",
    policyName: "Sample data policy name",
    description: "Sample data policy description",
    statementList: [
      {
        effect: DataStatementPermissionDto.effect.ALLOW,
        permissions: ["namespaceCode/treeResourceCode/path/action"],
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: UpdateDataPolicyResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a UpdateDataPolicyRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "policyId": "60b49xxxxxxxxxxxxxxx6e68",
    "policyName": "Sample data policy name",
    "description": "Sample data policy description",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z"
  }
}

Data structure

DataStatementPermissionDto

NameTypeIs it required?DescriptionSample value
effectstringYesData resource permission operation: ALLOW (allow)/DENY (deny)DENY
permissionsarrayYesResource permission list, string data resource and array data resource, no path["namespaceCode/stringResourceCode/action","namespaceCode/arrayResourceCode/action","namespaceCode/treeResourceCode/path/action"]

UpdateDataPolicyRespDto

NameTypeIs it required?DescriptionSample value
policyIdstringyesData policy ID60b49xxxxxxxxxxxxxxx6e68
policyNamestringyesData policy name, unique to the user poolSample data policy name
descriptionstringnoData policy descriptionSample data policy description
createdAtstringyesData policy creation time2022-07-03T03:20:30.000Z
updatedAtstringyesData policy update time2022-07-03T03:20:30.000Z

Agent infrastructure for identity, memory, and web action.